// CS164
//
// David J. Malan
// malan@harvard.edu

// check for jQuery
if (typeof(jQuery) !== 'undefined') {
    (function($) {
        $(function() {

            // rename course from COMPSCI 164 to CS164
            $('#section-tabs-header').html('<a href="/courses/300">CS164</a>').css('font-weight', 'bold');
            $('span.ellipsible:contains(COMPSCI 164)').html('CS164');

            // remove Pages from breadcrumbs
            $('#breadcrumbs ul li a span:contains(Pages)').parent().parent().remove();

            // remove "Home" from left side
            $('#section-tabs li:first-child').remove();

            // append items to left side's menu
            $('#section-tabs').append('<li><a href="https://app.asana.com/">Asana</a></li>');
            $('#section-tabs').append('<li><a href="/courses/300/wiki/faqs">FAQs</a></li>');
            $('#section-tabs').append('<li><a href="https://github.com/cs164">GitHub</a></li>');
            $('#section-tabs').append('<li><a href="https://www.cs164.net/lottery/"><b>Lottery</b></a></li>');
            $('#section-tabs').append('<li><a href="/courses/300/wiki/projects">Projects</a></li>');
            $('#section-tabs').append('<li><a href="/courses/300/wiki/resources">Resources</a></li>');
            $('#section-tabs').append('<li><a href="/courses/300/wiki/software">Software</a></li>');
            $('#section-tabs').append('<li><a href="http://cdn.cs164.net/2014/spring/references/syllabus/syllabus.html">Syllabus</a></li>');
            $('#section-tabs').append('<li><a href="/courses/300/wiki/talks">Talks</a></li>');

            // sort left side's menu
            // http://stackoverflow.com/a/304428
            var items = $('#section-tabs li').get();
            items.sort(function(a,b){
                var keyA = $(a).text();
                var keyB = $(b).text();
                if (keyA < keyB) {
                    return -1;
                }
                if (keyA > keyB) {
                    return 1;
                }
                return 0;
            });
            var ul = $('#section-tabs');
            $.each(items, function(i, li){
                ul.append(li);
            });

            // remove "All Pages" from right side
            $('h2:contains(All Pages)').parent().remove();

            // reveal changes to left side, breadcrumbs, and right side
            $('#breadcrumbs, #left-side, #section-tabs-header, #wiki_show_view_secondary').css('visibility', 'visible');

            // display title on wiki pages
            // https://gist.github.com/ctslearning/5858930
            var title = $('.pages #breadcrumbs ul li:nth-child(3)').text();
            $('.pages #content').prepend('<h2>' + title + '</h2>');

            // remove Footer
            $('#footer').remove();

        });
    })(jQuery);
}
